#
# spec file for package mysql (Version 3.23.44)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gpp libgpp lthreads perl tcpd
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext gpp libgpp libtool libz pam perl rpm tcpd

Name:         mysql
Copyright:    GPL
Group:        Applications/Databases
Provides:     mysql 
Autoreqprov:  on
Version:      3.23.44
Release:      28
Url:          http://www.mysql.com
Summary:      A true multi-user, multi-threaded SQL database server
Source:       http://www.mysql.com/Downloads/MySQL-3.23/%{name}-%{version}.tar.bz2
Source1:      rc.mysql
Source2:      rc.config.mysql
Source3:      README.SuSE
Source4:      http://www.mysql.com/Downloads/Manual/manual.pdf
Patch:        %{name}-%{version}-install_db.patch
Patch1:       %{name}-%{version}-dep.patch
Patch2:       %{name}-%{version}-overflow.patch
Patch3:       %{name}-%{version}-files.patch
Patch4:       %{name}-%{version}-acl.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
SQL is the most popular database language in the world. MySQL is a
client/server implementation that consists of a server daemon mysqld
and many different client programs and libraries.

The main goals of MySQL are speed, robustness and ease of use. MySQL
was originally developed because the developers at TcX needed a SQL
server that could handle very large databases an order of magnitude
faster than what any database vendor could offer to them. They have now
been using MySQL since 1996 in an environment with more than 40 databases
containing 10,000 tables, of which more than 500 have more than 7 million
rows. This is about 100 gigabytes of mission-critical data.

The base upon which MySQL is built is a set of routines that have been
used in a highly demanding production environment for many years. While
MySQL is still in development, it already offers a rich and highly useful
function set.

The official way to pronounce MySQL is "My Ess Que Ell" (Not MY-SEQUEL).

This package does only contain the server-side programs.

Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

SuSE series: ap

%package devel
Obsoletes:    mysqldev
Provides:     mysqldev
Requires:     mysql-client
Copyright:    GPL
Summary:      MySQL - Development header files and libraries
Url:          http://www.mysql.com
Group:        Development/Libraries
Autoreqprov:  on

%description devel
This package contains the development header files and libraries necessary
to develop MySQL client applications.

Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

SuSE series: ap

%package client
Obsoletes:    mysqclnt
Provides:     mysqclnt
Copyright:    GPL
Summary:      MySQL - Client
Url:          http://www.mysql.com
Group:        Applications/Databases
Autoreqprov:  on

%description client
This package contains the standard MySQL clients.

Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

SuSE series: ap

%package bench
Obsoletes:    mysqbnch
Provides:     mysqbnch
Requires:     mysql-client perl-Msql-Mysql-modules
Copyright:    GPL
Summary:      MySQL - Benchmarks
Url:          http://www.mysql.com
Group:        Applications/Databases
Autoreqprov:  on

%description bench
This package contains MySQL benchmark scripts and data.


If you like to run these database benchmarks, start the script
"run-all-tests" in the directory /usr/share/sql-bench after starting
MySQL.

Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

SuSE series: ap

%package shared
Obsoletes:    mysqllib
Provides:     mysqllib
Summary:      MySQL - Shared libraries
Copyright:    GPL
Url:          http://www.mysql.com
Group:        Applications/Databases
Autoreqprov:  on

%description shared
This package contains the shared libraries (*.so*) which certain
languages and applications need to dynamically load and use MySQL

Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

SuSE series: ap

%package Max
Summary:      MySQL - server with Berkeley DB and Innodb support
Copyright:    GPL
Url:          http://www.mysql.com
Group:        Applications/Databases
Requires:     mysql
Autoreqprov:  on

%description Max
An optional MySQL server binary that supports features like transactional
tables. To make use of these features, just install this package in addition
to the MySQL package.

Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

SuSE series: ap

%prep
%setup -q -n %{name}-%{version}
%patch
%patch1
%patch2
%patch3
%patch4

%build
%{?suse_update_config:%{suse_update_config}}
# Make the compile a function, since we have to do it twice
BuildMySQL() {
# The --enable-assembler simply does nothing on systems that do not
# support assembler speedups.
# We do not enable Berkeley DB / InnoDB support yet
export CXXFLAGS="$RPM_OPT_FLAGS \
                 -D_FILE_OFFSET_BITS=64 \
				 -D_LARGEFILE_SOURCE \
                 -felide-constructors \
				 -fno-exceptions \
				 -fno-rtti"
./configure \
	$* \
	--enable-assembler \
	--enable-large-files \
	--infodir=%{_infodir} \
	--libdir=/usr/lib \
	--libexecdir=/usr/sbin \
	--localstatedir=/var/lib/mysql \
	--mandir=%{_mandir} \
	--prefix=/usr \
	--sysconfdir=/etc \
	--with-mysqld-user=mysql \
	--without-debug \
   	--datadir=/usr/share \
   	--includedir=/usr/include \
   	--with-extra-charsets=complex \
   	--with-unix-socket-path=/var/lib/mysql/mysql.sock \
	--with-libwrap
   	# Add this for MyISAM RAID support:
   	# --with-raid
# benchdir does not fit in above model. Fix when we make a separate package
make benchdir=$RPM_BUILD_ROOT/usr/share/sql-bench
}
# Build the shared libraries and mysqld-max
BuildMySQL "--enable-shared \
            --enable-thread-safe-client \
			--with-berkeley-db \
			--with-innodb \
			--with-mysqld-ldflags='-all-static' \
			--with-server-suffix='-Max'"
# Clean up the BuildRoot first
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
# Use BuildRoot directory to save shared libraries and mysqld-max
install -d $RPM_BUILD_ROOT/usr/sbin
install -m755 -o root -g root  sql/mysqld $RPM_BUILD_ROOT/usr/sbin/mysqld-max
(cd libmysql/.libs; tar cf $RPM_BUILD_ROOT/shared-libs.tar *.so*)
(cd libmysql_r/.libs; tar rf $RPM_BUILD_ROOT/shared-libs.tar *.so*)
# Save manual to avoid rebuilding
mv Docs/manual.ps Docs/manual.ps.save
make distclean
mv Docs/manual.ps.save Docs/manual.ps
# Now build the "normal" mysqld
BuildMySQL "--disable-shared \
	        --with-mysqld-ldflags='-all-static' \
     	    --with-client-ldflags='-all-static' \
	        --without-berkeley-db --without-innodb"

%install
# Install binaries
echo 
echo "------------- Beginning Installation -----------"
echo 
install -d -m755 $RPM_BUILD_ROOT/usr/share/sql-bench
make install DESTDIR=$RPM_BUILD_ROOT benchdir_root=/usr/share/
# Install shared libraries
install -d -m755 $RPM_BUILD_ROOT/usr/lib
(cd $RPM_BUILD_ROOT/usr/lib; tar xf $RPM_BUILD_ROOT/shared-libs.tar)
# This might not be necessary anymore because of installing the libs
# directly into from the tarballs into the correct directory
# echo "Moving shared libs to /usr/lib/..."
# mv -v $RPM_BUILD_ROOT/usr/lib/mysql/libmysqlclient.so* $RPM_BUILD_ROOT/usr/lib
ln -fs ../libmysqlclient.so.10.0.0 $RPM_BUILD_ROOT/usr/lib/mysql/libmysqlclient.so
ldconfig -nv $RPM_BUILD_ROOT/usr/lib
echo "Installing config file..."
mkdir -p $RPM_BUILD_ROOT/etc
install -m 600 -o mysql -g daemon support-files/my-medium.cnf $RPM_BUILD_ROOT/etc/my.cnf
install -m 640 scripts/mysqlaccess.conf $RPM_BUILD_ROOT/etc/mysqlaccess.conf
echo 
echo "--------------- Ending Installation ------------"
echo 
# Install Documentation
DOCDIR=$RPM_BUILD_ROOT/%{_defaultdocdir}/mysql
install -d -m 755 ${DOCDIR}
DOC="Docs/INSTALL-BINARY INSTALL-SOURCE MIRRORS README"
install -m 644 ${DOC} ${DOCDIR}
install -m 644 $RPM_SOURCE_DIR/README.SuSE ${DOCDIR}
install -m 644 %{SOURCE4} ${DOCDIR}
install -m 644 Docs/manual.txt ${DOCDIR}
install -d -m 755 ${DOCDIR}/html
install -m 644 Docs/manual.html ${DOCDIR}/html
install -m 644 Docs/manual_toc.html ${DOCDIR}/html
rm -f ${DOCDIR}/html/index.html
ln -s ./manual_toc.html ${DOCDIR}/html/index.html
install -d -m 755 ${DOCDIR}/cnf
install -m 644 support-files/my-*.cnf ${DOCDIR}/cnf
# Install init-Script and rc.config entry
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 744 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.mysql
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/mysql
rm -f $RPM_BUILD_ROOT/sbin/rcmysql
ln -s ../../etc/init.d/mysql $RPM_BUILD_ROOT/usr/sbin/rcmysql
# Install pre-installation-scripts
install -d -m 755 ${DOCDIR}/data
install -d -m 755 ${DOCDIR}/data/mysql
install -m 755 scripts/mysql_install_db ${DOCDIR}

%pre
dbfile=var/mysql/mysql/db.ISM
olddir=var/mysql
newdir=var/lib/mysql
# Do the database files still belong to root? 
# Change ownerships and notify user
if [ -O $dbfile ]
then
chown -Rv mysql:daemon var/mysql/
mkdir -p var/adm/notify/messages
cat << EOT > var/adm/notify/messages/mysql-changes
<Deutsche Fassung unten>
The previously installed version of MySQL ran as user "root". Due
to security reasons, MySQL will now be started as user "mysql". The
ownerships of your existing database files have been adjusted accordingly.
If you are upgrading from a MySQL version <= 3.22.10 you should also
run the script /usr/bin/mysql_fix_privilege_tables. Otherwise you will
not be able to use the new GRANT command!
--------------------------------------------------------------------------
Die vorher installierte Version von MySQL lief unter der Benutzerkennung
"root". Aus Sicherheitsgrnden wird MySQL nun unter der Benutzerkennung
"mysql" gestartet. Die Ownerships Ihrer bestehenden Datenbankfiles wurden
entsprechend umgendert.
Bei einem Update von MySQL-Version <= 3.22.10 sollten Sie weiterhin
nun das Script /usr/bin/mysql_fix_privilege_tables ausfhren.
Anderenfalls knnen Sie nicht das neue "GRANT"-Kommando verwenden!
EOT
fi
# Copy existing database files to the new location
# only if they do not exist yet!
if [ -d $olddir ] && ! [ -d $newdir ]
then
echo "Copying old database files to new location..."
cp -a $olddir $newdir || echo "Error while copying the files!"
mkdir -p var/adm/notify/messages
cat << EOT >> var/adm/notify/messages/mysql-changes
<Deutsche Fassung unten>
Starting with SuSE Linux 7.1, we moved the database files from
/var/mysql to /var/lib/mysql to better comply with the File System
Hierarchy Standard (FHS).
Your existing MySQL database files have been copied to the new location
/var/lib/mysql. If everything runs fine, you can delete the old files
below /var/mysql now.
--------------------------------------------------------------------------
Beginnend mit SuSE Linux 7.1 haben wir die MySQL Datenbanken von
/var/mysql nach /var/lib/mysql verschoben, um die Konventionen des
File System Hierarchy Standard (FHS) noch besser einzuhalten.
Ihre existierenden Datenbanken wurden in das neue Verzeichnis
/var/lib/mysql kopiert. Wenn alles wie bisher funktioniert, knnen
Sie nun die alten Dateien unter /var/mysql lschen.
EOT
fi

%post
sbin/insserv etc/init.d/mysql
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.mysql
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "/etc/rc.config and /var/adm/fillup-templates/rc.config.mysql and update by hand."
fi

%postun
sbin/insserv etc/init.d/

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%config %attr(-, mysql, daemon) /etc/my.cnf
%config /etc/init.d/mysql
%doc %{_defaultdocdir}/%{name}
%doc %{_infodir}/mysql.info.gz
%doc %{_mandir}/man1/isamchk.1.gz
%doc %{_mandir}/man1/isamlog.1.gz
%doc %{_mandir}/man1/mysql_zap.1.gz
%doc %{_mandir}/man1/mysqld.1.gz
%doc %{_mandir}/man1/mysqld_multi.1.gz
%doc %{_mandir}/man1/safe_mysqld.1.gz
/usr/bin/isamchk
/usr/bin/isamlog
/usr/bin/my_print_defaults
/usr/bin/myisamchk
/usr/bin/myisamlog
/usr/bin/myisampack
/usr/bin/mysql_convert_table_format
/usr/bin/mysql_fix_privilege_tables
/usr/bin/mysql_install_db
/usr/bin/mysql_setpermission
/usr/bin/mysql_zap
/usr/bin/mysqlbug
/usr/bin/mysqld_multi
/usr/bin/mysqlhotcopy
/usr/bin/mysqltest
/usr/bin/pack_isam
/usr/bin/resolveip
/usr/bin/safe_mysqld
/usr/sbin/mysqld
/usr/sbin/rcmysql
/usr/share/mysql/
/var/adm/fillup-templates/rc.config.mysql

%files client
%defattr(-, root, root)
%config /etc/mysqlaccess.conf
%doc %{_mandir}/man1/mysql.1.gz
%doc %{_mandir}/man1/mysqlaccess.1.gz
%doc %{_mandir}/man1/mysqladmin.1.gz
%doc %{_mandir}/man1/mysqldump.1.gz
%doc %{_mandir}/man1/mysqlshow.1.gz
%doc %{_mandir}/man1/perror.1.gz
%doc %{_mandir}/man1/replace.1.gz
/usr/bin/msql2mysql
/usr/bin/mysql
/usr/bin/mysql_find_rows
/usr/bin/mysqlaccess
/usr/bin/mysqladmin
/usr/bin/mysqlbinlog
/usr/bin/mysqlcheck
/usr/bin/mysqldump
/usr/bin/mysqlimport
/usr/bin/mysqlshow
/usr/bin/perror
/usr/bin/replace

%files devel
%defattr(-, root, root)
/usr/bin/comp_err
/usr/bin/mysql_config
/usr/include/mysql/
/usr/lib/mysql/libmysqlclient.*a
/usr/lib/mysql/libmysqlclient.so

%files bench
%defattr(-, root, root)
/usr/share/sql-bench

%files shared
%defattr(-, root, root)
/usr/lib/libmysqlclient.so*

%files Max
%attr(755, root, root) /usr/sbin/mysqld-max

%changelog -n mysql
* Tue Sep 16 2003 - tcrhak@suse.cz
- fixed a buffer overflow; patch acl, [bug #30893]
* Wed May 28 2003 - tcrhak@suse.cz
- fix for world-writeable files bug (patch files)
  http://marc.theaimsgroup.com/?l=bugtraq&m=104715840202315&w=2
* Wed Dec 18 2002 - tcrhak@suse.cz
- added another hunk to the overflow.patch, making the fix complete
* Thu Dec 12 2002 - tcrhak@suse.cz
- applied a patch fixing signedness bug,
  incorrect password verification bug and
  buffer overflow bug
* Wed Nov 21 2001 - grimmer@suse.de
- added check for "socket=" variable in function "parse_arguments"
  in the mysql init script (thanks to Aivo Kalu and Peter Marschall
  for spotting this) - the init script would issue a "failed"
  notice, if the socket variable had been changed to a different
  path than /var/lib/mysql/mysql.sock in /etc/my.cnf, even though
  the MySQL deamon would be up and running [#12411]
* Mon Nov 19 2001 - grimmer@suse.de
- Update to 3.23.44 (bugfixes) - see the following URLs for the
  full list of changes:
  http://www.mysql.com/doc/N/e/News-3.23.42.html
  http://www.mysql.com/doc/N/e/News-3.23.43.html
  http://www.mysql.com/doc/N/e/News-3.23.44.html
- added missing compile flags
  "-felide-constructors -fno-exceptions -fno-rtti" to CXXFLAGS
  (otherwise the mysqld server process may crash under high
  load - thanks to Monty Widenius for pointing this out)
- added mysql-3.23.44-dep.patch
- Updated manual.pdf
- renamed mysql-3.23.44.dif to mysql-3.23.44-install_db.patch
* Sat Sep 22 2001 - grimmer@suse.de
- Install /etc/mysqlaccess.conf with permissions set to "640"
  instead of "755" [#10871]
* Tue Aug 14 2001 - grimmer@suse.de
- Update to 3.23.41 (bugfixes, see the changelog at
  http://www.mysql.com/doc/N/e/News-3.23.41.html for details)
* Mon Jul 30 2001 - grimmer@suse.de
- Update to 3.23.40 (see the changelogs at
  http://www.mysql.com/doc/N/e/News-3.23.x.html for details)
- spec file: added mysql-Max subpackage that includes all the
  new bells and whistles (BerkeleyDB, InnoDB)
- spec file: added "--with-libwrap" compile option to enable
  TCP wrapper support
- spec file: reworked the build and install section to ease
  the creation of mysqld-max
- rc.mysql: fixed two (trivial) typos
- rc.mysql: make sure to test for mysqld-max as well before
  trying to start up
- spec file: moved "replace" and "perror" binaries incl.
  man pages to the mysql-client package
- spec file: corrected URLs
- manual.pdf: update to current version
- README.SuSE: updated to document the above changes
* Fri May 04 2001 - grimmer@suse.de
- Fixed a nasty bug when updating after the database files
  have been copied to the new location, but the old ones have
  not been removed (#7692) - thanks to Jochen Schulz
  <jschulz1@gwdg.de> for spotting this one.
* Sat Apr 28 2001 - grimmer@suse.de
- Update to 3.23.37 (bugfixes, see
  http://www.mysql.com/doc/N/e/News-3.23.37.html for full
  changelog)
- fixed init script, now start MySQL using the wrapper script
  "safe_mysqld" instead of mysqld again (logging did not work),
  fixes for bug [#6876] and [#6840]
- we currently do not enable MySQL-Max, since it is still
  considered beta (http://www.mysql.com/downloads/mysql-max-3.23.html)
* Thu Apr 12 2001 - grimmer@suse.de
- Update to 3.23.36 (bugfix and security release)
  full Changelogs for Changes between 3.23.33 and 3.23.36 are here:
  http://www.mysql.com/doc/N/e/News-3.23.36.html
  http://www.mysql.com/doc/N/e/News-3.23.35.html
  http://www.mysql.com/doc/N/e/News-3.23.34.html
- reworked init script
- added more man pages to file list
- reworked README.SuSE
- added automated testing to spec file
* Thu Mar 08 2001 - grimmer@suse.de
- Update to 3.23.33 (bugfix release, see
  http://www.mysql.com/doc/N/e/News-3.23.33.html for a complete
  list of changes)
- updated manual.pdf
- fixed init script (#6044, "failed" on startup on a 2.4 kernel)
  beautified init script output a bit, changed "reload" argument
  to "force-reload" and added separate "reload" section
- added some comments about replication and BerkeleyDB code to
  README.SuSE
- marked init script as config file in spec file
* Tue Jan 23 2001 - grimmer@suse.de
- Update to 3.23.32 - stable release including security fixes
  for the SHOW GRANTS statement and a remote buffer overflow
  (Bugtraq ID 2262)
- updated manual.pdf
- added some missing files to the file list
- added --without-berkeley-db to the configure options
  (according to the release notes, Berkeley DB support and
  replication have not been exhaustively tested yet)
* Wed Jan 10 2001 - grimmer@suse.de
- Update to 3.23.30-gamma (bugfix-release)
- added manual.pdf as a separate file
- removed verbosity flag from cp-command in preinstall section
* Fri Dec 22 2000 - grimmer@suse.de
- fixed initial startup in init script (correct ownerships of
  the mysql datadir before starting mysqld using "chown")
- added different mysql sample configurations to directory "cnf"
  in the documentation directory
- use my-medium.cnf as default configuration /etc/my.cnf
* Mon Dec 18 2000 - grimmer@suse.de
- fixed packaging of mysql-bench (file list was empty)
* Fri Dec 15 2000 - grimmer@suse.de
- init script fixes (added $remote_fs to Required-Start,
  check if /usr/sbin/mysqld exists)
- README.SuSE updates
* Fri Dec 01 2000 - ro@suse.de
- added static libs to devel package
* Mon Nov 27 2000 - grimmer@suse.de
- update to 3.23.28-gamma (considered stable enough by Monty)
- added --with-extra-charsets=complex
- database files are now located below /var/lib/mysql
- do not use --with-raid or --with-berkeley-db yet
- adapted to new init scheme (new init script, removed symlinks,
  moved init script from /sbin/init.d -> /etc/init.d)
- moved socket from /tmp/mysql.sock to /var/lib/mysql/mysql.sock
- removed AGREEMENT since mysql is GPL now
- removed README.SuSE, rc.config.mysql and rc.mysql from patch
  and added them as additional source files instead
* Fri Nov 10 2000 - grimmer@suse.de
- added a symlink /usr/lib/mysql/libmysqlclient.so ->
  ../libmysqlclient.so.6.0.0 to make libtool happy
* Mon Nov 06 2000 - grimmer@suse.de
- fixed Requires: for mysql-bench (mysql-perl -> perl-Msql-Mysql-modules)
* Thu Nov 02 2000 - grimmer@suse.de
- switched to long package names:
  mysqclnt -> mysql-client
  mysqldev -> mysql-devel
  mysqbnch -> mysql-bench
  mysqllib -> mysql-shared
- removed subpackage mysqperl from mysql.spec and created
  separate packages (perl-Msql-Mysql-modules and perl-Data-ShowTable)
- finally use BuildRoot
- updated README.SuSE to reflect changes
* Wed Aug 23 2000 - ro@suse.de
- fixed perl path
* Fri Jul 21 2000 - grimmer@suse.de
- corrected removal of comment - bash does not like
  empty if-statements...
* Thu Jul 13 2000 - grimmer@suse.de
- added missing "-" to parameter "hostname --fqdn" in
  scripts/mysql_install_db.sh (BUG#3383)
- removed comment from scripts/mysql_install_db.sh about
  needing to install an init script, since we supply this already
* Wed Jul 05 2000 - grimmer@suse.de
- removed DBI perl module from subpackage mysqperl (is in a
  separate package "perl_dbi" now) and adjusted file list
  (BUG#3173)
* Wed May 24 2000 - uli@suse.de
- moved docs to /usr/share
* Fri May 05 2000 - freitag@suse.de
- Security change requested by a feedback mail - sets initially
  a full qualified hostname and notifies the user to change the
  two root passwords and not only one.
- added autoconf and automake to neededforbuild
- added --host=%%{_host} to configure call due to suspicious libtool
  probs
- /usr/doc/packages replaced by %%{_defaultdocdir}
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Wed Feb 23 2000 - grimmer@suse.de
- Update to 3.22.32
- created subpackage "mysqllib" which contains shared libs only
- created subpackage "mysqperl" which contains the perl modules
- removed obsolete security patch (is included in new version)
- update now checks for existing database files and chowns them
  to "mysql" itself, if they still belong to "root" - specfile
  and init script modified
- removed SuSE Linux version from AGREEMENT
- updated README.SuSE to reflect changes
* Fri Feb 11 2000 - grimmer@suse.de
- added security patch from monty@tcx.se (password authentication)
* Thu Jan 13 2000 - grimmer@suse.de
- update to 3.22.30 (security fix for GRANT privileges)
- now uses version macro in spec file
* Fri Jan 07 2000 - grimmer@suse.de
- update to 3.22.29
- updated Msql-Mysql-modules to 1.2210 and removed obsolete patch
- changed RPM Group of mysqldev to Development/Libraries
- corrected paths in mysqlaccess
* Thu Oct 28 1999 - grimmer@suse.de
- update to 3.22.27
- updated Msql-Mysql-modules to 1.2209
- fixed check for ownership of installed db in specfile
* Mon Oct 25 1999 - grimmer@suse.de
- update to 3.22.26a
- now runs as user "mysql" (resolved Bug #371)
- now uses /etc/my.cnf
- updated perl-modules (DBI, Msql-Mysql-modules)
- moved long names from PAC-file to specfile (Provides:)
- misc minor corrections/updates (specfile, init-script...)
* Mon Aug 30 1999 - grimmer@suse.de
- added bugfix for Alpha (TEXT and BLOB were broken)
- modified configure-call in spec
- added long aliases to PAC-files
* Tue Jul 13 1999 - grimmer@suse.de
- update to 3.22.25
- updated perl-modules (DBI, Msql-Mysql-modules)
- moved libs (mysqlclient.so et al) from /usr/lib/mysql to /usr/lib
- minor corrections (README.SuSE, init-Script)
* Thu May 20 1999 - ro@suse.de
- activate assembler parts only on x86
* Wed Apr 28 1999 - grimmer@suse.de
- added missing perl module (Mysql.pm)
- added missing perl package (Data-Showtable)
* Tue Apr 06 1999 - ro@suse.de
- update to 3.22.21
- split into subpackages (mysql, mysqclnt, mysqldev, mysqbnch)
- re-added perl-modules
- updated init-Script
- /etc/mysql.passwd is now obsolete
* Fri Dec 11 1998 - grimmer@suse.de
- updated init-Script
* Sun Nov 29 1998 - bs@suse.de
- fixed pathes for perl modules.
- remove symlinks before creating them.
* Fri Nov 27 1998 - ro@suse.de
- adapted paths to old perl
- this version should not have been in stable
* Tue Nov 24 1998 - grimmer@suse.de
- added /usr/doc/packages/AGREEMENT
* Tue Nov 17 1998 - ro@suse.de
- adapted paths to perl5.005_02
* Wed Nov 11 1998 - ro@suse.de
- added libgpp to neededforbuild
* Mon Nov 09 1998 - grimmer@suse.de
- New Package (Version 3.21.33b)
